/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.thin.functionsample.transaction.web.action;


import java.util.HashMap;
import java.util.Map;

import jp.terasoluna.thin.functionsample.transaction.bean.AddressVO;
import jp.terasoluna.thin.functionsample.transaction.bean.InsertAddressParam;
import jp.terasoluna.thin.functionsample.transaction.service.SelectAddressService;
import jp.terasoluna.fw.service.thin.BLogicResult;
import jp.terasoluna.fw.web.struts.actions.AbstractBLogicAction;

/**
 * Z擾ANVNXB
 *
 */
public class SearchInsertedAddressAction extends
        AbstractBLogicAction<InsertAddressParam> {
    
    /**
     * Z擾T[rX
     */
    protected SelectAddressService selectAddressService = null;
    
    /**
     * Z擾sB
     * @param param ڋqR[hXg
     * @return BLogicResult
     * @throws Exception \ʗO
     */
    @Override
    public BLogicResult doExecuteBLogic(InsertAddressParam param) 
                    throws Exception {
        
        // ʂi[邽߂̃IuWFNg
    	BLogicResult result = new BLogicResult();
        Map<String, Object> retMap = new HashMap<String, Object>();
        
        //o^ꂽf[^擾
        AddressVO[] searchResult = new AddressVO[2];
        
        searchResult[0] =
            selectAddressService.getListAddress(param.getCustomerCode1());
        searchResult[1] =
            selectAddressService.getListAddress(param.getCustomerCode2());
        
        retMap.put("searchResult", searchResult);
            
        result.setResultObject(retMap);
        result.setResultString("success");

        return result;
    }

    /**
     * Z擾T[rXԂB
     * @return Z擾T[rX
     */
    public SelectAddressService getSelectAddressService() {
        return selectAddressService;
    }

    /**
     * Z擾T[rXݒ肷B
     * @param selectAddressService Z擾T[rX
     */
    public void setSelectAddressService(
            SelectAddressService selectAddressService) {
        this.selectAddressService = selectAddressService;
    }
}
